#
# spec file for package python-ethtool
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-ethtool
Version:        0.11
Release:        2.5
Summary:        Ethernet settings python bindings
License:        GPL-2.0
Group:          Development/Languages/Python
Url:            https://fedorahosted.org/python-ethtool/
Source:         https://fedorahosted.org/releases/p/y/python-ethtool/%{name}-%{version}.tar.bz2
Patch0:         python-ethtool.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  libnl3-devel
BuildRequires:  pkg-config
BuildRequires:  python-devel

%description
Python bindings for the ethtool kernel interface, that allows querying and
changing of ethernet card settings, such as speed, port, autonegotiation, and
PCI locations.

%prep
%setup -q
%patch0 -p1

%build
export CFLAGS="%{optflags}"
python setup.py build

%install
python setup.py install --root=%{buildroot} --prefix=%{_prefix}

mkdir -p %{buildroot}%{_sbindir}  %{buildroot}%{_mandir}/man8
cp -p pethtool.py %{buildroot}%{_sbindir}/pethtool
cp -p pifconfig.py %{buildroot}%{_sbindir}/pifconfig

%files
%defattr(-,root,root)
%doc COPYING
%{_sbindir}/pethtool
%{_sbindir}/pifconfig
%{python_sitearch}/ethtool.so
%{python_sitearch}/*.egg-info

%changelog
* Tue Mar  1 2016 olaf@aepfle.de
- add python-ethtool.patch to fix build
* Sat Nov 29 2014 p.drouand@gmail.com
- Clean-up specfile
- Fix Group
* Fri Nov 14 2014 cbosdonnat@suse.com
- Updated to version 0.11
* Sat Sep 26 2009 meissner@suse.de
- imported by dbahi
